# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLocker

Packages that use InternalCDORevisionManager.RevisionLocker
Package
Description
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDORevisionManager.RevisionLocker in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDORevisionManager.RevisionLocker
Modifier and Type
Method
Description
`InternalCDORevisionManager.RevisionLocker`
DelegatingCDORevisionManager.`getRevisionLocker()`
`InternalCDORevisionManager.RevisionLocker`
InternalCDORevisionManager.`getRevisionLocker()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type InternalCDORevisionManager.RevisionLocker
Modifier and Type
Method
Description
`void`
DelegatingCDORevisionManager.`setRevisionLocker(InternalCDORevisionManager.RevisionLocker revisionLocker)`
`void`
InternalCDORevisionManager.`setRevisionLocker(InternalCDORevisionManager.RevisionLocker revisionLocker)`

## Uses of InternalCDORevisionManager.RevisionLocker in org.eclipse.emf.spi.cdo

Subinterfaces of InternalCDORevisionManager.RevisionLocker in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSession`
If the meaning of this type isn't clear, there really should be more of a description here...